<template>
  <view class="noCourse" v-if="isShow">
    <image class="logo" :src="src" />
    <view class="tips-view">
      <text class="noCourseTips">{{tips}}</text>
    </view>
    <slot name="btn"></slot>
  </view>
</template>

<script>
export default {
  props: {
    isShow: {
      type: Boolean,
      default: false
    },
      tips: {
        type: String,
        default: '没有数据'
      },
      src: {
        type: String,
        default: ''
      }
    },
  data: () => ({}),
  computed: {},
  methods: {},
  watch: {},

  // 组件周期函数--监听组件挂载完毕
  mounted() {},
  // 组件周期函数--监听组件数据更新之前
  beforeUpdate() {},
  // 组件周期函数--监听组件数据更新之后
  updated() {},
  // 组件周期函数--监听组件激活(显示)
  activated() {},
  // 组件周期函数--监听组件停用(隐藏)
  deactivated() {},
  // 组件周期函数--监听组件销毁之前
  beforeDestroy() {},
};
</script>

<style scoped>
.noCourse {
  text-align: center;
}
.logo {
  height: 220rpx;
  width: 300rpx;
  margin: 200rpx auto 50rpx auto;
}
.noCourseTips {
  font-size: 24rpx;
  font-weight: 400;
  color: #A3ABBF;
}
.tips-view {
  margin-bottom: 20rpx;
}
</style>
